package de.ugoe.cs.eventbench;

import de.ugoe.cs.util.console.CommandExecuter;
import de.ugoe.cs.util.console.TextConsole;

public class Runner {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		CommandExecuter.getInstance().addCommandPackage("de.ugoe.cs.eventbench.commands");
		CommandExecuter.getInstance().addCommandPackage("de.ugoe.cs.eventbench.windows.commands");
		CommandExecuter.getInstance().addCommandPackage("de.ugoe.cs.eventbench.web.commands");
		TextConsole textConsole = new TextConsole();
		if( args.length>=1 ) {
			for( String command : args ) {
				CommandExecuter.getInstance().exec(command);
			}
		}
		textConsole.run(true);
	}

}
